Skip to main content
GET
/
v2.01
/
{ClientId}
/
deposit-preauthorizations
/
{DepositId}
<?php 

require_once 'vendor/autoload.php';

use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;

$api = new MangoPayApi();

$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';

try {
  $depositId = 'deposit_m_01JH3BWB8K89TDQC54FFZY6MFV';

  $response = $api->Deposits->Get($depositId);

  print_r($response);
} catch(MGPResponseException $e) {
  print_r($e);
} catch(MGPException $e) {
  print_r($e);
}
{
    "Id": "deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
    "CreationDate": 1771585135,
    "ExpirationDate": 1774177173,
    "AuthorId": "user_m_01KHXAHEBRWSZXJY85TPPR56TK",
    "DebitedFunds": {
        "Currency": "EUR",
        "Amount": 20000
    },
    "Status": "SUCCEEDED",
    "PaymentStatus": "VALIDATED",
    "PayinsLinked": {
        "PayinCaptureId": "wt_28217024-04e1-400b-b902-15bc2cca8a82",
        "PayinComplementId": null
    },
    "ResultCode": "000000",
    "ResultMessage": "Success",
    "CardId": "card_wt_HodULFWKVRMEecCa",
    "PreferredCardNetwork": null,
    "SecureModeReturnURL": "http://example.com?depositId=deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
    "SecureModeRedirectURL": null,
    "SecureModeNeeded": true,
    "PaymentType": "CARD",
    "ExecutionType": "DIRECT",
    "StatementDescriptor": null,
    "Culture": "EN",
    "BrowserInfo": {
        "AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
        "JavaEnabled": true,
        "Language": "FR-FR",
        "ColorDepth": 4,
        "ScreenHeight": 1800,
        "ScreenWidth": 400,
        "TimeZoneOffset": 60,
        "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
        "JavascriptEnabled": true
    },
    "IpAddress": "4ce4:e138:803f:eb1c:9c5b:7316:ec84:3d00",
    "Billing": {
        "FirstName": "Jonatan",
        "LastName": "Renner",
        "Address": {
            "AddressLine1": "16544 Jalon Expressway",
            "AddressLine2": "Pacocha Road",
            "City": "Paris",
            "Region": "Ile-de-France",
            "PostalCode": "75001",
            "Country": "FR"
        }
    },
    "Shipping": {
        "FirstName": "Jonatan",
        "LastName": "Renner",
        "Address": {
            "AddressLine1": "16544 Jalon Expressway",
            "AddressLine2": "Pacocha Road",
            "City": "Paris",
            "Region": "Ile-de-France",
            "PostalCode": "75001",
            "Country": "FR"
        }
    },
    "Requested3DSVersion": null,
    "Applied3DSVersion": "V2_1",
    "Tag": "Created using the Mangopay API Postman collection",
    "CardInfo": {
        "BIN": "497010",
        "IssuingBank": "LA BANQUE POSTALE",
        "IssuerCountryCode": "MA",
        "Type": "CREDIT",
        "SubType": null,
        "Brand": "VISA"
    },
    "AuthenticationResult": {
        "AuthenticationType": "CHALLENGE"
    }
}

Documentation Index

Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt

Use this file to discover all available pages before exploring further.

This call retrieves a single Deposit Preauthorization, of which there are two types, indicated by PaymentType:

Path parameters

DepositId
string
required
The unique identifier of the deposit preauthorization.

Responses

Id
string
Max. length: 255 characters
CreationDate
Unix timestamp
The date and time at which the object was created.
ExpirationDate
Unix timestamp
The date and time at which the hold period ends and the preauthorized funds are released.
At the expiration date, the deposit preauthorization’s PaymentStatus changes to EXPIRED if no captures were made.
AuthorizationDate
Unix timestamp
The date and time at which successful authorization occurred. If authorization failed, the value is null.
AuthorId
string
The unique identifier of the user at the source of the transaction.
DebitedFunds
object
Information about the preauthorized funds.
Status
string
Returned values: CREATED, SUCCEEDED, FAILEDThe status of the authorization.
PaymentStatus
string
Returned values: WAITING, CANCELED, CANCEL_REQUESTED, EXPIRED, VALIDATED, FAILEDThe payment status of the deposit preauthorization object:
  • WAITING – The deposit preauthorization can be used: the preauthorized funds can be captured (if Status is SUCCEEDED) or the preauthorization can be canceled manually.
  • CANCELED – Value to pass to manually cancel the deposit preauthorization before use; indicates that the deposit preauthorization was canceled manually.
  • CANCEL_REQUESTED – The cancellation of the deposit preauthorization has been requested but not yet processed.
  • EXPIRED – The hold period on the preauthorized funds has ended without it being used.
  • VALIDATED – Indicates that the preauthorized funds were captured.
  • FAILED – The pay-in against the preauthorization has failed, but a retry may be possible.
PayinsLinked
object
Information about the deposit preauthorized pay-ins made against the deposit preauthorization.
ResultCode
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
ResultMessage
string
The explanation of the result code.
CardId
string
The unique identifier of the Card object, obtained during the card registration process.
PreferredCardNetwork
string
Returned values: VISA, MASTERCARD, CB, MAESTROThe card network to use, as chosen by the cardholder, in case of co-branded cards.
SecureModeReturnURL
string
Max. length: 255 charactersThe URL to which users are automatically returned after 3DS2 if it is triggered (i.e., if the SecureModeNeeded parameter is set to true).
SecureModeRedirectURL
string
Max. length: 255 charactersThe URL to which to redirect the user to proceed to 3DS2 validation.
SecureModeNeeded
boolean
Whether or not the SecureMode was used.
PaymentType
string
Returned values: CARD, DIRECT_DEBIT, PREAUTHORIZED, BANK_WIREThe type of pay-in.
ExecutionType
string
Returned values: WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.
StatementDescriptor
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
Culture
string
Returned values: One of the supported languages in the ISO 639-1 format: DE, EN, ES, FR, IT, NL, PL, PT.The language in which the payment page is to be displayed.
BrowserInfo
object
Information about the browser used by the end user (author) to perform the payment.
IpAddress
string
The IP address of the end user initiating the transaction, in IPV4 or IPV6 format.
Billing
object
Default value: FirstName, LastName, and Address information of the Shipping object if any, otherwise the user (author).Information about the end user billing address. If left empty, the default values will be automatically taken into account.
Shipping
object
Default value: FirstName, LastName, and Address information of the Billing object, if supplied, otherwise of the user (author).Information about the end user’s shipping address. If left empty, the default values will be automatically taken into account.
Requested3DSVersion
string
Returned values: V1, V2_1The 3DS protocol version to be applied to the transaction.
Applied3DSVersion
string | null
Returned values: V1, V2_1The 3DS protocol version applied to the transaction.
Tag
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
CardInfo
string
Information about the card used for the transaction.If the information or data is not available, null is returned.
AuthenticationResult
object | null
Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).
PaypalPayerID
string
The PayPal identifier of the buyer.
BuyerLastname
string
The last name of the buyer.
BuyerPhone
string
The mobile phone number of the buyer.
BuyerFirstname
string
The first name of the buyer.
BuyerCountry
string
The country of the buyer.
PaypalOrderID
string
PayPal’s unique identifier for the order.
CancelURL
string
The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the RedirectURL.
Trackings
array (object)
Shipping information of the LineItems added to the pay-in object.
Reference
string
Max. length: 127 characters (truncated after)The platform’s order reference for the transaction.
PaypalBuyerAccountEmail
string
The email address registered on the PayPal account used to make the payment.
ShippingPreference
string
Returned values: SET_PROVIDED_ADDRESS, GET_FROM_FILE, NO_SHIPPINGInformation about the shipping address behavior on the PayPal payment page:
  • SET_PROVIDED_ADDRESS - The Shipping parameter becomes required and its values are displayed to the end user, who is not able to modify them.
  • GET_FROM_FILE – The Shipping parameter is ignored and the end user can choose from registered addresses.
  • NO_SHIPPING – No shipping address section is displayed.
Culture
string
Returned values: One of the supported languages in the ISO 639-1 format: AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US.The language in which the PayPal payment page is to be displayed.
LineItems
array
objectInformation about the items purchased in the transaction. The total of all line items’ UnitAmount and TaxAmount must equal the DebitedFunds amount (negative amounts not allowed).
Shipping
object
Information about the end user’s shipping address, managed by ShippingPreference.
Billing
object
Returned null because the billing address is not applicable to PayPal preauth.
StatementDescriptor
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
RedirectURL
string
The URL to which to redirect the user to complete the payment.Caution: This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
ReturnURL
string
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
ExecutionType
string
Returned values: WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.
PaymentType
string
Returned values: PAYPALThe type of pay-in.
Status
string
Returned values: CREATED, SUCCEEDED, FAILEDThe status of the transaction.
Tag
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
ResultMessage
string
The explanation of the result code.
ResultCode
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
PayinsLinked
object
Information about the deposit preauthorized pay-ins made against the deposit preauthorization.
PaymentStatus
string
Returned values: WAITING, CANCELED, CANCEL_REQUESTED, EXPIRED, VALIDATED, FAILEDThe payment status of the deposit preauthorization object:
  • WAITING – The deposit preauthorization can be used: the preauthorized funds can be captured (if Status is SUCCEEDED) or the preauthorization can be canceled manually.
  • CANCELED – Value to pass to manually cancel the deposit preauthorization before use; indicates that the deposit preauthorization was canceled manually.
  • CANCEL_REQUESTED – The cancellation of the deposit preauthorization has been requested but not yet processed.
  • EXPIRED – The hold period on the preauthorized funds has ended without it being used.
  • VALIDATED – Indicates that the preauthorized funds were captured.
  • FAILED – The pay-in against the preauthorization has failed, but a retry may be possible.
Status
string
Returned values: CREATED, SUCCEEDED, FAILEDThe status of the authorization.
AuthorId
string
The unique identifier of the user at the source of the transaction.
ExpirationDate
Unix timestamp
The date and time at which the hold period ends and the preauthorized funds are released.
At the expiration date, the deposit preauthorization’s PaymentStatus changes to EXPIRED if no captures were made.
CreationDate
Unix timestamp
The date and time at which the object was created.
Id
string
Max. length: 255 charactersThe unique identifier of the PayPal preauthorization.
{
    "Id": "deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
    "CreationDate": 1771585135,
    "ExpirationDate": 1774177173,
    "AuthorId": "user_m_01KHXAHEBRWSZXJY85TPPR56TK",
    "DebitedFunds": {
        "Currency": "EUR",
        "Amount": 20000
    },
    "Status": "SUCCEEDED",
    "PaymentStatus": "VALIDATED",
    "PayinsLinked": {
        "PayinCaptureId": "wt_28217024-04e1-400b-b902-15bc2cca8a82",
        "PayinComplementId": null
    },
    "ResultCode": "000000",
    "ResultMessage": "Success",
    "CardId": "card_wt_HodULFWKVRMEecCa",
    "PreferredCardNetwork": null,
    "SecureModeReturnURL": "http://example.com?depositId=deposit_wt_073099a9-4e14-42b7-9bc7-d1978f65d8ba",
    "SecureModeRedirectURL": null,
    "SecureModeNeeded": true,
    "PaymentType": "CARD",
    "ExecutionType": "DIRECT",
    "StatementDescriptor": null,
    "Culture": "EN",
    "BrowserInfo": {
        "AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
        "JavaEnabled": true,
        "Language": "FR-FR",
        "ColorDepth": 4,
        "ScreenHeight": 1800,
        "ScreenWidth": 400,
        "TimeZoneOffset": 60,
        "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
        "JavascriptEnabled": true
    },
    "IpAddress": "4ce4:e138:803f:eb1c:9c5b:7316:ec84:3d00",
    "Billing": {
        "FirstName": "Jonatan",
        "LastName": "Renner",
        "Address": {
            "AddressLine1": "16544 Jalon Expressway",
            "AddressLine2": "Pacocha Road",
            "City": "Paris",
            "Region": "Ile-de-France",
            "PostalCode": "75001",
            "Country": "FR"
        }
    },
    "Shipping": {
        "FirstName": "Jonatan",
        "LastName": "Renner",
        "Address": {
            "AddressLine1": "16544 Jalon Expressway",
            "AddressLine2": "Pacocha Road",
            "City": "Paris",
            "Region": "Ile-de-France",
            "PostalCode": "75001",
            "Country": "FR"
        }
    },
    "Requested3DSVersion": null,
    "Applied3DSVersion": "V2_1",
    "Tag": "Created using the Mangopay API Postman collection",
    "CardInfo": {
        "BIN": "497010",
        "IssuingBank": "LA BANQUE POSTALE",
        "IssuerCountryCode": "MA",
        "Type": "CREDIT",
        "SubType": null,
        "Brand": "VISA"
    },
    "AuthenticationResult": {
        "AuthenticationType": "CHALLENGE"
    }
}
{
    "ShippingPreference": "SET_PROVIDED_ADDRESS",
    "PaypalBuyerAccountEmail": "alex.smith@example.com",
    "Reference": "1234",
    "CancelURL": "https://www.example.net/?depositId=deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
    "PaypalPayerID": "1ZC7H3JIJNMR4",
    "BuyerCountry": "GB",
    "BuyerFirstname": "Alex",
    "BuyerLastname": "Smith",
    "BuyerPhone": "447777123456",
    "PaypalOrderID": "5T593294612936789",
    "Trackings": null,
    "LineItems": [
        {
            "Name": "Running shoes",
            "Quantity": 1,
            "UnitAmount": 1000,
            "TaxAmount": 0,
            "Description": "ID of Seller 1",
            "Category": "PHYSICAL_GOODS",
            "Sku": null,
            "Discount": 0
        }
    ],
    "Id": "deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
    "CreationDate": 1774263809,
    "ExpirationDate": 1776855973,
    "AuthorId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
    "DebitedFunds": {
        "Currency": "GBP",
        "Amount": 1000
    },
    "Status": "SUCCEEDED",
    "PaymentStatus": "VALIDATED",
    "PayinsLinked": {
        "PayinCaptureId": "wt_2d749eb5-90c6-4c3c-9146-bda5ffa65d3f",
        "PayinComplementId": null
    },
    "ResultCode": "000000",
    "ResultMessage": "Success",
    "PaymentType": "PAYPAL",
    "ExecutionType": "WEB",
    "StatementDescriptor": null,
    "Culture": "EN",
    "Billing": null,
    "Shipping": {
        "FirstName": "Alex",
        "LastName": "Smith",
        "Address": {
            "AddressLine1": "10 Kingsway",
            "City": "London",
            "Region": null,
            "PostalCode": "WC2B 6LH",
            "Country": "GB"
        }
    },
    "Tag": "Created using the Mangopay API Postman collection",
    "RedirectURL": "https://www.paypal.com/checkoutnow?token=6L593294612936822",
    "ReturnURL": "https://www.example.com/?depositId=deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4"
}
<?php 

require_once 'vendor/autoload.php';

use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;

$api = new MangoPayApi();

$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';

try {
  $depositId = 'deposit_m_01JH3BWB8K89TDQC54FFZY6MFV';

  $response = $api->Deposits->Get($depositId);

  print_r($response);
} catch(MGPResponseException $e) {
  print_r($e);
} catch(MGPException $e) {
  print_r($e);
}